DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureP2A

Measure the circularity of the object

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureP2AID ( void )

## FUNCTION

`dip_FeatureP2AID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function is a composite measurement function, that uses `FeatureSize`, `FeaturePerimeter`, and `FeatureSurfaceArea` to determine the circularity of an object by calculating: 2D: P2A = perimeter^2 / (4Pi * size) 3D: P2A = surface-area^1.5 / (6 Sqrt(Pi) * size).

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMass`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeaturePerimeter`, `FeatureSurfaceArea`, `FeatureFeret`, `FeatureMass`, `FeatureInertia`, `FeatureShape`

DIPlib on-line documentation | Function reference | Global function index